﻿using FarPoint.Win.Spread;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SpreadFromula1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            
        }

        private void CopySheets(FpSpread source, FpSpread destination)
        {
            destination.Sheets.Clear();
            for (int i = 0;i < source.Sheets.Count; i++)
            {
                var sheet = source.Sheets[i];
                sheet.SheetName = "Copied" + i;
                destination.Sheets.Add(sheet);
            }
        }

        private void copyToolStripMenuItem_Click(object sender, EventArgs e)
        {
            CopySheetsToThis(fpSpread1, fpSpread2);
            //CopySheets(fpSpread1, fpSpread2);
        }

        public void CopySheetsToThis(FpSpread source, FpSpread destination)
        {
            destination.Sheets.Clear();
                foreach (SheetView sheet in source.Sheets)
                    destination.Sheets.Add(CopySheet(sheet));
            
        }

        public FarPoint.Win.Spread.SheetView CopySheet(FarPoint.Win.Spread.SheetView sheet)

        {

            FarPoint.Win.Spread.SheetView newSheet = null;

            if (sheet != null)

            {

                newSheet = (SheetView)FarPoint.Win.Serializer.LoadObjectXml(typeof(FarPoint.Win.Spread.SheetView), FarPoint.Win.Serializer.GetObjectXml(sheet, "CopySheet"), "CopySheet");

            }

            return newSheet;

        }

    }
}
